| cutseq

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Remove a section from a sequence

## Description

This simple editing program allows you to cut out a region from your sequence by specifying the begin and end positions of the region to remove. It removes the sequence from the specified start to the end positions (inclusive) and writes the remaining sequence to the output file.

## Usage

Here is a sample session with cutseq

To remove bases 10 to 12 from a database entry and write to the new sequence file 'gatta2.seq':

    % cutseq tembl:x13776 gatta2.seq -from=10 -to=12
    Remove a section from a sequence

Go to the input files for this example
Go to the output files for this example

Example 2

To remove the first 20 bases from 'tembl:x13776' and write it to 'jsh.seq':

    % cutseq tembl:x13776 -from=1 -to=20 -out=jsh.seq
    Remove a section from a sequence

Go to the output files for this example

Example 3

If the default start and end positions are accepted, then all of the sequence is removed!

    % cutseq tembl:x13776 starta.seq -sbeg=-1000 -send=1290
    Remove a section from a sequence
    Start of region to delete [1168]:
    End of region to delete [1290]:

Go to the output files for this example

## Command line arguments

    Remove a section from a sequence
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   (Gapped) sequence filename and optional
                                      format, or reference (input USA)
       -from               integer    [Start of sequence (0)] This is the start
                                      position (inclusive) of the section of the
                                      sequence that you wish to remove. (Any
                                      integer value)
       -to                 integer    [End of sequence (0)] This is the end
                                      position (inclusive) of the section of the
                                      sequence that you wish to remove. (Any
                                      integer value)
      [-outseq]            seqout     [<sequence>.<format>] Sequence filename and
                                      optional format (output USA)

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outseq" associated qualifiers
       -osformat2          string     Output seq format
       -osextension2       string     File name extension
       -osname2            string     Base file name
       -osdirectory2       string     Output directory
       -osdbname2          string     Database name to add
       -ossingle2          boolean    Separate file for each entry
       -oufo2              string     UFO features
       -offormat2          string     Features format
       -ofname2            string     Features file name
       -ofdirectory2       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | sequence | (Gapped) sequence filename and optional format, or reference (input USA) | Readable sequence | Required
-from | integer | This is the start position (inclusive) of the section of the sequence that you wish to remove. | Any integer value | Start of sequence (0)
-to | integer | This is the end position (inclusive) of the section of the sequence that you wish to remove. | Any integer value | End of sequence (0)
[-outseq] (Parameter 2) | seqout | Sequence filename and optional format (output USA) | Writeable sequence | <*>.format
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-sequence" associated sequence qualifiers
-sbegin1 -sbegin_sequence | integer | Start of the sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of the sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outseq" associated seqout qualifiers
-osformat2 -osformat_outseq | string | Output seq format | Any string |
-osextension2 -osextension_outseq | string | File name extension | Any string |
-osname2 -osname_outseq | string | Base file name | Any string |
-osdirectory2 -osdirectory_outseq | string | Output directory | Any string |
-osdbname2 -osdbname_outseq | string | Database name to add | Any string |
-ossingle2 -ossingle_outseq | boolean | Separate file for each entry | Boolean value Yes/No | N
-oufo2 -oufo_outseq | string | UFO features | Any string |
-offormat2 -offormat_outseq | string | Features format | Any string |
-ofname2 -ofname_outseq | string | Features file name | Any string |
-ofdirectory2 -ofdirectory_outseq | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

cutseq reads a single nucleotide or protein sequence.

The input is a standard EMBOSS sequence query (also known as a 'USA').

Major sequence database sources defined as standard in EMBOSS installations include srs:embl, srs:uniprot and ensembl

Data can also be read from sequence output in any supported format written by an EMBOSS or third-party application.

The input format can be specified by using the command-line qualifier `-sformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: gff (gff3), gff2, embl (em), genbank (gb, refseq), ddbj, refseqp, pir (nbrf), swissprot (swiss, sw), dasgff and debug.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

### Input files for usage example

'tembl:x13776' is a sequence entry in the example nucleic acid database 'tembl'

### Database entry: tembl:x13776

    ID   X13776; SV 1; linear; genomic DNA; STD; PRO; 2167 BP.
    XX
    AC   X13776; M43175;
    XX
    DT   19-APR-1989 (Rel. 19, Created)
    DT   14-NOV-2006 (Rel. 89, Last updated, Version 24)
    XX
    DE   Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    XX
    KW   aliphatic amidase regulator; amiC gene; amiR gene.
    XX
    OS   Pseudomonas aeruginosa
    OC   Bacteria; Proteobacteria; Gammaproteobacteria; Pseudomonadales;
    OC   Pseudomonadaceae; Pseudomonas.
    XX
    RN   [1]
    RP   1167-2167
    RA   Rice P.M.;
    RT   ;
    RL   Submitted (16-DEC-1988) to the INSDC.
    RL   Rice P.M., EMBL, Postfach 10-2209, Meyerhofstrasse 1, 6900 Heidelberg, FRG.
    XX
    RN   [2]
    RP   1167-2167
    RX   DOI; 10.1016/0014-5793(89)80249-2.
    RX   PUBMED; 2495988.
    RA   Lowe N., Rice P.M., Drew R.E.;
    RT   "Nucleotide sequence of the aliphatic amidase regulator gene (amiR) of
    RT   Pseudomonas aeruginosa";
    RL   FEBS Lett. 246(1-2):39-43(1989).
    XX
    RN   [3]
    RP   1-1292
    RX   PUBMED; 1907262.
    RA   Wilson S., Drew R.;
    RT   "Cloning and DNA sequence of amiC, a new gene regulating expression of the
    RT   Pseudomonas aeruginosa aliphatic amidase, and purification of the amiC
    RT   product";
    RL   J. Bacteriol. 173(16):4914-4921(1991).
    XX
    RN   [4]
    RP   1-2167
    RA   Rice P.M.;
    RT   ;
    RL   Submitted (04-SEP-1991) to the INSDC.
    RL   Rice P.M., EMBL, Postfach 10-2209, Meyerhofstrasse 1, 6900 Heidelberg, FRG.
    XX
    DR   GOA; Q51417.
    DR   InterPro; IPR003211; AmiSUreI_transpt.
    DR   UniProtKB/Swiss-Prot; Q51417; AMIS_PSEAE.

      [Part of this file has been deleted for brevity]

    FT                   /note="ClaI fragment deleted in pSW36,  constitutive
    FT                   phenotype"
    FT   misc_feature    1
    FT                   /note="last base of an XhoI site"
    FT   misc_feature    648..653
    FT                   /note="end of 658bp XhoI fragment, deletion in  pSW3 causes
    FT                   constitutive expression of amiE"
    FT   misc_difference 1281
    FT                   /replace="g"
    FT                   /note="conflict"
    FT                   /citation=[3]
    XX
    SQ   Sequence 2167 BP; 363 A; 712 C; 730 G; 362 T; 0 other;
         ggtaccgctg gccgagcatc tgctcgatca ccaccagccg ggcgacggga actgcacgat        60
         ctacctggcg agcctggagc acgagcgggt tcgcttcgta cggcgctgag cgacagtcac       120
         aggagaggaa acggatggga tcgcaccagg agcggccgct gatcggcctg ctgttctccg       180
         aaaccggcgt caccgccgat atcgagcgct cgcacgcgta tggcgcattg ctcgcggtcg       240
         agcaactgaa ccgcgagggc ggcgtcggcg gtcgcccgat cgaaacgctg tcccaggacc       300
         ccggcggcga cccggaccgc tatcggctgt gcgccgagga cttcattcgc aaccgggggg       360
         tacggttcct cgtgggctgc tacatgtcgc acacgcgcaa ggcggtgatg ccggtggtcg       420
         agcgcgccga cgcgctgctc tgctacccga ccccctacga gggcttcgag tattcgccga       480
         acatcgtcta cggcggtccg gcgccgaacc agaacagtgc gccgctggcg gcgtacctga       540
         ttcgccacta cggcgagcgg gtggtgttca tcggctcgga ctacatctat ccgcgggaaa       600
         gcaaccatgt gatgcgccac ctgtatcgcc agcacggcgg cacggtgctc gaggaaatct       660
         acattccgct gtatccctcc gacgacgact tgcagcgcgc cgtcgagcgc atctaccagg       720
         cgcgcgccga cgtggtcttc tccaccgtgg tgggcaccgg caccgccgag ctgtatcgcg       780
         ccatcgcccg tcgctacggc gacggcaggc ggccgccgat cgccagcctg accaccagcg       840
         aggcggaggt ggcgaagatg gagagtgacg tggcagaggg gcaggtggtg gtcgcgcctt       900
         acttctccag catcgatacg cccgccagcc gggccttcgt ccaggcctgc catggtttct       960
         tcccggagaa cgcgaccatc accgcctggg ccgaggcggc ctactggcag accttgttgc      1020
         tcggccgcgc cgcgcaggcc gcaggcaact ggcgggtgga agacgtgcag cggcacctgt      1080
         acgacatcga catcgacgcg ccacaggggc cggtccgggt ggagcgccag aacaaccaca      1140
         gccgcctgtc ttcgcgcatc gcggaaatcg atgcgcgcgg cgtgttccag gtccgctggc      1200
         agtcgcccga accgattcgc cccgaccctt atgtcgtcgt gcataacctc gacgactggt      1260
         ccgccagcat gggcggggga ccgctcccat gagcgccaac tcgctgctcg gcagcctgcg      1320
         cgagttgcag gtgctggtcc tcaacccgcc gggggaggtc agcgacgccc tggtcttgca      1380
         gctgatccgc atcggttgtt cggtgcgcca gtgctggccg ccgccggaag ccttcgacgt      1440
         gccggtggac gtggtcttca ccagcatttt ccagaatggc caccacgacg agatcgctgc      1500
         gctgctcgcc gccgggactc cgcgcactac cctggtggcg ctggtggagt acgaaagccc      1560
         cgcggtgctc tcgcagatca tcgagctgga gtgccacggc gtgatcaccc agccgctcga      1620
         tgcccaccgg gtgctgcctg tgctggtatc ggcgcggcgc atcagcgagg aaatggcgaa      1680
         gctgaagcag aagaccgagc agctccagga ccgcatcgcc ggccaggccc ggatcaacca      1740
         ggccaaggtg ttgctgatgc agcgccatgg ctgggacgag cgcgaggcgc accagcacct      1800
         gtcgcgggaa gcgatgaagc ggcgcgagcc gatcctgaag atcgctcagg agttgctggg      1860
         aaacgagccg tccgcctgag cgatccgggc cgaccagaac aataacaaga ggggtatcgt      1920
         catcatgctg ggactggttc tgctgtacgt tggcgcggtg ctgtttctca atgccgtctg      1980
         gttgctgggc aagatcagcg gtcgggaggt ggcggtgatc aacttcctgg tcggcgtgct      2040
         gagcgcctgc gtcgcgttct acctgatctt ttccgcagca gccgggcagg gctcgctgaa      2100
         ggccggagcg ctgaccctgc tattcgcttt tacctatctg tgggtggccg ccaaccagtt      2160
         cctcgag                                                                2167
    //

## Output file format

The output is a standard EMBOSS sequence file.

The results can be output in one of several styles by using the command-line qualifier `-osformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: embl, genbank, gff, pir, swiss, dasgff, debug, listfile, dbmotif, diffseq, excel, feattable, motif, nametable, regions, seqtable, simple, srs, table, tagseq.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

### Output files for usage example

### File: gatta2.seq

    >X13776 X13776.1 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    ggtaccgctcgagcatctgctcgatcaccaccagccgggcgacgggaactgcacgatcta
    cctggcgagcctggagcacgagcgggttcgcttcgtacggcgctgagcgacagtcacagg
    agaggaaacggatgggatcgcaccaggagcggccgctgatcggcctgctgttctccgaaa
    ccggcgtcaccgccgatatcgagcgctcgcacgcgtatggcgcattgctcgcggtcgagc
    aactgaaccgcgagggcggcgtcggcggtcgcccgatcgaaacgctgtcccaggaccccg
    gcggcgacccggaccgctatcggctgtgcgccgaggacttcattcgcaaccggggggtac
    ggttcctcgtgggctgctacatgtcgcacacgcgcaaggcggtgatgccggtggtcgagc
    gcgccgacgcgctgctctgctacccgaccccctacgagggcttcgagtattcgccgaaca
    tcgtctacggcggtccggcgccgaaccagaacagtgcgccgctggcggcgtacctgattc
    gccactacggcgagcgggtggtgttcatcggctcggactacatctatccgcgggaaagca
    accatgtgatgcgccacctgtatcgccagcacggcggcacggtgctcgaggaaatctaca
    ttccgctgtatccctccgacgacgacttgcagcgcgccgtcgagcgcatctaccaggcgc
    gcgccgacgtggtcttctccaccgtggtgggcaccggcaccgccgagctgtatcgcgcca
    tcgcccgtcgctacggcgacggcaggcggccgccgatcgccagcctgaccaccagcgagg
    cggaggtggcgaagatggagagtgacgtggcagaggggcaggtggtggtcgcgccttact
    tctccagcatcgatacgcccgccagccgggccttcgtccaggcctgccatggtttcttcc
    cggagaacgcgaccatcaccgcctgggccgaggcggcctactggcagaccttgttgctcg
    gccgcgccgcgcaggccgcaggcaactggcgggtggaagacgtgcagcggcacctgtacg
    acatcgacatcgacgcgccacaggggccggtccgggtggagcgccagaacaaccacagcc
    gcctgtcttcgcgcatcgcggaaatcgatgcgcgcggcgtgttccaggtccgctggcagt
    cgcccgaaccgattcgccccgacccttatgtcgtcgtgcataacctcgacgactggtccg
    ccagcatgggcgggggaccgctcccatgagcgccaactcgctgctcggcagcctgcgcga
    gttgcaggtgctggtcctcaacccgccgggggaggtcagcgacgccctggtcttgcagct
    gatccgcatcggttgttcggtgcgccagtgctggccgccgccggaagccttcgacgtgcc
    ggtggacgtggtcttcaccagcattttccagaatggccaccacgacgagatcgctgcgct
    gctcgccgccgggactccgcgcactaccctggtggcgctggtggagtacgaaagccccgc
    ggtgctctcgcagatcatcgagctggagtgccacggcgtgatcacccagccgctcgatgc
    ccaccgggtgctgcctgtgctggtatcggcgcggcgcatcagcgaggaaatggcgaagct
    gaagcagaagaccgagcagctccaggaccgcatcgccggccaggcccggatcaaccaggc
    caaggtgttgctgatgcagcgccatggctgggacgagcgcgaggcgcaccagcacctgtc
    gcgggaagcgatgaagcggcgcgagccgatcctgaagatcgctcaggagttgctgggaaa
    cgagccgtccgcctgagcgatccgggccgaccagaacaataacaagaggggtatcgtcat
    catgctgggactggttctgctgtacgttggcgcggtgctgtttctcaatgccgtctggtt
    gctgggcaagatcagcggtcgggaggtggcggtgatcaacttcctggtcggcgtgctgag
    cgcctgcgtcgcgttctacctgatcttttccgcagcagccgggcagggctcgctgaaggc
    cggagcgctgaccctgctattcgcttttacctatctgtgggtggccgccaaccagttcct
    cgag

### Output files for usage example 2

### File: jsh.seq

    >X13776 X13776.1 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation
    tgctcgatcaccaccagccgggcgacgggaactgcacgatctacctggcgagcctggagc
    acgagcgggttcgcttcgtacggcgctgagcgacagtcacaggagaggaaacggatggga
    tcgcaccaggagcggccgctgatcggcctgctgttctccgaaaccggcgtcaccgccgat
    atcgagcgctcgcacgcgtatggcgcattgctcgcggtcgagcaactgaaccgcgagggc
    ggcgtcggcggtcgcccgatcgaaacgctgtcccaggaccccggcggcgacccggaccgc
    tatcggctgtgcgccgaggacttcattcgcaaccggggggtacggttcctcgtgggctgc
    tacatgtcgcacacgcgcaaggcggtgatgccggtggtcgagcgcgccgacgcgctgctc
    tgctacccgaccccctacgagggcttcgagtattcgccgaacatcgtctacggcggtccg
    gcgccgaaccagaacagtgcgccgctggcggcgtacctgattcgccactacggcgagcgg
    gtggtgttcatcggctcggactacatctatccgcgggaaagcaaccatgtgatgcgccac
    ctgtatcgccagcacggcggcacggtgctcgaggaaatctacattccgctgtatccctcc
    gacgacgacttgcagcgcgccgtcgagcgcatctaccaggcgcgcgccgacgtggtcttc
    tccaccgtggtgggcaccggcaccgccgagctgtatcgcgccatcgcccgtcgctacggc
    gacggcaggcggccgccgatcgccagcctgaccaccagcgaggcggaggtggcgaagatg
    gagagtgacgtggcagaggggcaggtggtggtcgcgccttacttctccagcatcgatacg
    cccgccagccgggccttcgtccaggcctgccatggtttcttcccggagaacgcgaccatc
    accgcctgggccgaggcggcctactggcagaccttgttgctcggccgcgccgcgcaggcc
    gcaggcaactggcgggtggaagacgtgcagcggcacctgtacgacatcgacatcgacgcg
    ccacaggggccggtccgggtggagcgccagaacaaccacagccgcctgtcttcgcgcatc
    gcggaaatcgatgcgcgcggcgtgttccaggtccgctggcagtcgcccgaaccgattcgc
    cccgacccttatgtcgtcgtgcataacctcgacgactggtccgccagcatgggcggggga
    ccgctcccatgagcgccaactcgctgctcggcagcctgcgcgagttgcaggtgctggtcc
    tcaacccgccgggggaggtcagcgacgccctggtcttgcagctgatccgcatcggttgtt
    cggtgcgccagtgctggccgccgccggaagccttcgacgtgccggtggacgtggtcttca
    ccagcattttccagaatggccaccacgacgagatcgctgcgctgctcgccgccgggactc
    cgcgcactaccctggtggcgctggtggagtacgaaagccccgcggtgctctcgcagatca
    tcgagctggagtgccacggcgtgatcacccagccgctcgatgcccaccgggtgctgcctg
    tgctggtatcggcgcggcgcatcagcgaggaaatggcgaagctgaagcagaagaccgagc
    agctccaggaccgcatcgccggccaggcccggatcaaccaggccaaggtgttgctgatgc
    agcgccatggctgggacgagcgcgaggcgcaccagcacctgtcgcgggaagcgatgaagc
    ggcgcgagccgatcctgaagatcgctcaggagttgctgggaaacgagccgtccgcctgag
    cgatccgggccgaccagaacaataacaagaggggtatcgtcatcatgctgggactggttc
    tgctgtacgttggcgcggtgctgtttctcaatgccgtctggttgctgggcaagatcagcg
    gtcgggaggtggcggtgatcaacttcctggtcggcgtgctgagcgcctgcgtcgcgttct
    acctgatcttttccgcagcagccgggcagggctcgctgaaggccggagcgctgaccctgc
    tattcgcttttacctatctgtgggtggccgccaaccagttcctcgag

### Output files for usage example 3

### File: starta.seq

    >X13776 X13776.1 Pseudomonas aeruginosa amiC and amiR gene for aliphatic amidase regulation

## Data files

None.

## Notes

Qualifiers that are in-built for sequence datatypes allow the input and output files to be specified in more detail, for example, the format for the output files.

## References

None.

## Warnings

You can delete a complete sequence and write out an empty sequence file.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0

## Known bugs

None.

## See also

Program name | Description
--- | ---
aligncopy | Read and write alignments
aligncopypair | Read and write pairs from alignments
biosed | Replace or delete sequence sections
codcopy | Copy and reformat a codon usage table
degapseq | Remove non-alphabetic (e.g. gap) characters from sequences
descseq | Alter the name or description of a sequence
entret | Retrieve sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featcopy | Read and write a feature table
featmerge | Merge two overlapping feature tables
featreport | Read and write a feature table
feattext | Return a feature table original text
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
makeprotseq | Create random protein sequences
maskambignuc | Mask all ambiguity characters in nucleotide sequences with N
maskambigprot | Mask all ambiguity characters in protein sequences with X
maskfeat | Write a sequence with masked features
maskseq | Write a sequence with masked regions
newseq | Create a sequence file from a typed-in sequence
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
nospace | Remove whitespace from an ASCII text file
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
nthseqset | Read and write (return) one set of sequences from many
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqcount | Read and count sequences
seqret | Read and write (return) sequences
seqretsetall | Read and write (return) many sets of sequences
seqretsplit | Read sequences and write them to individual files
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Read and write (return) sequences, skipping first few
splitsource | Split sequence(s) into original source sequences
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
trimspace | Remove extra whitespace from an ASCII text file
union | Concatenate multiple sequences into a single sequence
vectorstrip | Remove vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

Gary Williams formerly at:
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Completed 26 Jan 1999

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None